package com.ruoyi.system.domain.projectV2;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_省库项目_省外投资单位对象 zsyz_sk_swtzdw
 * 
 * @author boman
 * @date 2023-03-28
 */
public class ZsyzSkSwtzdw extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 省库项目ID */
    @Excel(name = "省库项目ID")
    private Long skId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String dwmc;

    /** 注册资金 */
    @Excel(name = "注册资金")
    private String zczj;

    /** 投资金额 */
    @Excel(name = "投资金额")
    private String tzje;

    /** 省 */
    @Excel(name = "省")
    private String province;

    /** 省_id */
    @Excel(name = "省_id")
    private String provinceId;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 市id */
    @Excel(name = "市id")
    private String cityId;

    /** 单位简介 */
    @Excel(name = "单位简介")
    private String dwjj;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSkId(Long skId) 
    {
        this.skId = skId;
    }

    public Long getSkId() 
    {
        return skId;
    }
    public void setDwmc(String dwmc) 
    {
        this.dwmc = dwmc;
    }

    public String getDwmc() 
    {
        return dwmc;
    }
    public void setZczj(String zczj) 
    {
        this.zczj = zczj;
    }

    public String getZczj() 
    {
        return zczj;
    }
    public void setTzje(String tzje) 
    {
        this.tzje = tzje;
    }

    public String getTzje() 
    {
        return tzje;
    }
    public void setProvince(String province) 
    {
        this.province = province;
    }

    public String getProvince() 
    {
        return province;
    }
    public void setProvinceId(String provinceId) 
    {
        this.provinceId = provinceId;
    }

    public String getProvinceId() 
    {
        return provinceId;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setCityId(String cityId) 
    {
        this.cityId = cityId;
    }

    public String getCityId() 
    {
        return cityId;
    }
    public void setDwjj(String dwjj) 
    {
        this.dwjj = dwjj;
    }

    public String getDwjj() 
    {
        return dwjj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("skId", getSkId())
            .append("dwmc", getDwmc())
            .append("zczj", getZczj())
            .append("tzje", getTzje())
            .append("province", getProvince())
            .append("provinceId", getProvinceId())
            .append("city", getCity())
            .append("cityId", getCityId())
            .append("dwjj", getDwjj())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
